require ("prototypes.pipeConnectors")
require ("util")




data:extend(
{

-- ITEMS

	{
		type = "item",
		name = "field",
		icon = "__Treefarm-Mod__/graphics/icons/field.png",
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		order = "a[field]",
		place_result = "field-2",
		stack_size = 10
	},

	{
		type = "item",
		name = "fieldmk2",
		icon = "__Treefarm-Mod__/graphics/icons/fieldmk2.png",
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		order = "a[fieldmk2]",
		place_result = "fieldmk2Overlay",
		stack_size = 10
	},

	{
		type = "item",
		name = "cokery",
		icon = "__Treefarm-Mod__/graphics/icons/cokery.png",
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		order = "a[cokery]",
		place_result = "cokery",
		stack_size = 10
	},

	{
		type = "item",
		name = "stone-crusher-2",
		icon = "__Treefarm-Mod__/graphics/icons/stone-crusher.png",
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		order = "a[stone-crusher]",
		place_result = "stone-crusher-2",
		stack_size = 10
	},

	{
		type = "item",
		name = "bioreactor",
		icon = "__Treefarm-Mod__/graphics/icons/bioreactor.png",
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		order = "a[bioreactor]",
		place_result = "bioreactor",
		stack_size = 10
	},

	{
		type = "item",
		name = "biolab",
		icon = "__Treefarm-Mod__/graphics/icons/biolab.png",
		flags = {"goes-to-quickbar"},
		subgroup = "production-machine",
		order = "a[biolab]",
		place_result = "biolab",
		stack_size = 10
	},

--RECIPES
	{
		type = "recipe",
		name = "field",
		ingredients = {{"stone",20},{"wooden-chest",1},{"burner-inserter",1}},
		result = "field",
		result_count = 1,
		enabled = "true"
	},

	{
		type = "recipe",
		name = "fieldmk2",
		ingredients = {{"advanced-circuit",20},{"red-wire",20},{"steel-plate",20}},
		result = "fieldmk2",
		result_count = 1,
		enabled = "false"
	},

	{
		type = "recipe",
		name = "cokery",
		ingredients = {{"stone-furnace",1},{"steel-plate",10}},
		result = "cokery",
		result_count = 1,
		enabled = "false"
	},

	{
		type = "recipe",
		name = "stone-crusher",
		ingredients = {{"iron-plate",10},{"steel-plate",10},{"copper-cable",5},{"iron-gear-wheel",5}},
		result = "stone-crusher-2",
		enabled = "false",
		result_count = 1
	},

	{
		type = "recipe",
		name = "bioreactor",
		ingredients = {{"assembling-machine-1",1},{"steel-plate",5},{"electronic-circuit",5}},
		result = "bioreactor",
		enabled = "false",
		result_count = 1
	},

	{
		type = "recipe",
		name = "biolab",
		ingredients =
		{
			{"steel-plate", 5},
			{"iron-gear-wheel", 5},
			{"electronic-circuit", 5},
			{"pipe", 5}
		},
		result = "biolab",
		enabled = "false",
		result_count = 1
	},



--ENTITIES
	--FIELD
	{
		type = "smart-container",
		name = "field",
		max_health = 100,
		order = "a[field]",
		icon = "__Treefarm-Mod__/graphics/icons/field.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {mining_time = 1,result = "field"},
		collision_box = {{-0.65,-0.75},{0.40,0.25}},
		selection_box = {{0.0,-1.0},{8.0,8.0}},
		inventory_size = 3,
		picture = 	{
						filename = "__Treefarm-Mod__/graphics/entities/field/field.png",
						priority = "extra-high",
						width = 512,
						height = 512,
						shift = {0.00, -0.25}
					}
	},

	{
		type = "furnace",
		name = "field-2",
		max_health = 100,
		icon = "__Treefarm-Mod__/graphics/icons/field.png",
		flags = {"placeable-neutral", "player-creation"},
		crafting_categories = {"treefarm-mod-dummy"},
		minable = {mining_time = 1,result = "field"},
		collision_box = {{-0.65,-0.75},{0.40,0.25}},
		selection_box = {{0.0,-1.0},{8.0,8.0}},
		result_inventory_size = 1,
		energy_usage = "180kW",
		crafting_speed = 1,
		source_inventory_size = 1,
		energy_source =
		{
			type = "burner",
			effectivity = 1,
			fuel_inventory_size = 1
		},
		animation =
		{
			filename = "__Treefarm-Mod__/graphics/entities/field/field.png",
			priority = "extra-high",
			width = 512,
			height = 512,
			frame_count = 1,
			shift = {0.0, -0.25}
		},
		working_visualisations =
		{
			filename = "__Treefarm-Mod__/graphics/icons/empty.png",
			priority = "extra-high",
			width = 32,
			height = 32,
			frame_count = 1,
			shift = {0.0, 0.0}
		}
	},

	-- FIELD-MK2
	{
		type = "logistic-container",
		name = "fieldmk2",
		logistic_mode = "requester",
		order = "a[fieldmk2]",
		max_health = 100,
		icon = "__Treefarm-Mod__/graphics/icons/fieldmk2.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {mining_time = 1,result = "fieldmk2"},
		collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
		selection_box = {{-1, -1}, {1, 1}},
		drawing_box = {{-2.8, -0.5}, {0.5, 0.5}},
		inventory_size = 2,
		picture = 	{
						filename = "__Treefarm-Mod__/graphics/entities/fieldmk2/fieldmk2.png",
						priority = "extra-high",
						width = 70,
						height = 170,
						shift = {0.0, -1.5}
					}
	},

	{
		type = "container",
		name = "fieldmk2Overlay",
		max_health = 100,
		icon = "__Treefarm-Mod__/graphics/icons/fieldmk2.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {mining_time = 1,result = "fieldmk2"},
		collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
		selection_box = {{-1, -1}, {1, 1}},
		inventory_size = 1,
		picture = 	{
						filename = "__Treefarm-Mod__/graphics/entities/fieldmk2/fieldmk2Overlay.png",
						priority = "extra-high",
						width = 640,
						height = 640,
						shift = {0.0, 0.0}
					}
	},

	-- COKERY
	{
		type = "assembling-machine",
		name = "cokery",
		icon = "__Treefarm-Mod__/graphics/icons/cokery.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "cokery"},
		max_health = 200,
		corpse = "big-remnants",
		resistances = {{type = "fire", percent = 70}},
		collision_box = {{-1.4, -2.0}, {1.4, 2.4}},
		selection_box = {{-1.5, -2.5}, {1.5, 2.5}},
		module_slots = 2,
		allowed_effects = {"consumption", "speed"},

		animation =
		{
			north =
			{
				filename = "__Treefarm-Mod__/graphics/entities/cokery/cokery-idle.png",
				width = 100,
				height = 160,
				frame_count = 1,
				line_length = 1,
				shift = {0, 0}
			},
			south =
			{
				filename = "__Treefarm-Mod__/graphics/entities/cokery/cokery-idle.png",
				width = 100,
				height = 160,
				frame_count = 1,
				line_length = 1,
				shift = {0, 0}
			},
			west =
			{
				filename = "__Treefarm-Mod__/graphics/entities/cokery/cokery-idle.png",
				width = 100,
				height = 160,
				frame_count = 1,
				line_length = 1,
				shift = {0, 0}
			},
			east =
			{
				filename = "__Treefarm-Mod__/graphics/entities/cokery/cokery-idle.png",
				width = 100,
				height = 160,
				frame_count = 1,
				line_length = 1,
				shift = {0, 0}
			}				
		},
		working_visualisations =
		{

			{
				north_position = { 0.0,  0.0},
				south_position = { 0.0,  0.0},
				west_position  = { 0.0,  0.0},	--{ 1.3, -2.0},
				east_position  = { 0.0,  0.0},	--{ 1.3, -2.0},
			
				animation =
				{
					filename = "__Treefarm-Mod__/graphics/entities/cokery/cokery-anim.png",
					frame_count = 28,
					line_length = 14,
					width = 100,
					height = 160,
					scale = 1.0,
					shift = {0, 0},
					animation_speed = 0.1
				}
			}
		},
		crafting_categories = {"treefarm-mod-smelting"},
		energy_source =
		{
			type = "electric",
			input_priority = "secondary",
			usage_priority = "secondary-input",
			emissions = 6 / 3
		},
		energy_usage = "6W",
		crafting_speed = 2,
		ingredient_count = 1
	},
	-- STONECRUSHER
	{
		type = "furnace",
		name = "stone-crusher-2",
		icon = "__Treefarm-Mod__/graphics/icons/stone-crusher.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {hardness = 0.2,mining_time = 0.5,result = "stone-crusher-2"},
		max_health = 100,
		corpse = "big-remnants",
		dying_explosion = "huge-explosion",
		module_slots = 1,
		resistances = {{type = "fire",percent = 70}},
		working_sound = {
							sound = {
										filename = "__base__/sound/assembling-machine-t1-1.ogg",
										volume = 0.7
									},
							apparent_volume = 1.5
						},
		collision_box = {{-0.9,-0.9},{0.9,0.9}},
		selection_box = {{-1.0,-1.0},{1.0,1.0}},
		animation = {
							filename = "__Treefarm-Mod__/graphics/entities/stone-crusher/stone-crusher-off-anim.png",
							priority = "high",
							width = 65,
							height = 78,
							frame_count = 1,
							animation_speed = 0.5,
      						shift = {0.0, -0.1}
						},
		working_visualisations = {
							filename = "__Treefarm-Mod__/graphics/entities/stone-crusher/stone-crusher-anim.png",
							priority = "high",
							width = 65,
							height = 78,
							frame_count = 11,
							animation_speed = 0.18 / 2.5,
							shift = {0.0, -0.1}
						},
		crafting_categories = {"treefarm-mod-crushing"},
		result_inventory_size = 1,
		source_inventory_size = 1,
		crafting_speed = 1,
		energy_source = {
							type = "electric",
							usage_priority = "secondary-input",
							emissions = 0.05 / 1.5
						},
		energy_usage = "50kW"
	},
	-- BIOREACTOR
	{
		type = "assembling-machine",
		name = "bioreactor",
		icon = "__Treefarm-Mod__/graphics/icons/bioreactor.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "bioreactor"},
		max_health = 100,
		corpse = "big-remnants",
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_picture = assembler2pipepicturesBioreactor(),
				pipe_covers = pipecoverspicturesBioreactor(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {0, -2} }}
			},
			{
				production_type = "input",
				pipe_picture = assembler2pipepicturesBioreactor(),
				pipe_covers = pipecoverspicturesBioreactor(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {2, 0} }}
			},
			{
				production_type = "input",
				pipe_picture = assembler2pipepicturesBioreactor(),
				pipe_covers = pipecoverspicturesBioreactor(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {0, 2} }}
			},


			{
				production_type = "output",
				pipe_picture = assembler2pipepicturesBioreactor(),
				pipe_covers = pipecoverspicturesBioreactor(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {-2, -1} }}
			},
			{
				production_type = "output",
				pipe_picture = assembler2pipepicturesBioreactor(),
				pipe_covers = pipecoverspicturesBioreactor(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {-2, 1} }}
			},
			off_when_no_fluid_recipe = false
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		animation =
		{
			filename = "__Treefarm-Mod__/graphics/entities/bioreactor/bioreactor.png",
			priority = "high",
			width = 128,
			height = 150,
			frame_count = 26,
			line_length = 13,
			animation_speed = 0.4,
			shift = {0.55, -0.33}
		},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input"
		},
		crafting_categories = {"treefarm-mod-bioreactor"},
		ingredient_count = 3,
		crafting_speed = 1,
		energy_usage = "10kW"
	},

	-- BIOLAB
	{
		type = "assembling-machine",
		name = "biolab",
		icon = "__Treefarm-Mod__/graphics/icons/biolab.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "biolab"},
		max_health = 300,
		corpse = "big-remnants",
		collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		module_slots = 2,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
		animation =
		{
			north =
			{
				filename = "__Treefarm-Mod__/graphics/entities/biolab/biolab.png",
				width = 156,
				height = 141,
				frame_count = 1,
				shift = {0.5, -0.078125}
			},
			west =
			{
				filename = "__Treefarm-Mod__/graphics/entities/biolab/biolab.png",
				x = 156,
				width = 156,
				height = 141,
				frame_count = 1,
				shift = {0.5, -0.078125}
			},
			south =
			{
				filename = "__Treefarm-Mod__/graphics/entities/biolab/biolab.png",
				x = 312,
				width = 156,
				height = 141,
				frame_count = 1,
				shift = {0.5, -0.078125}
			},
			east =
			{
				filename = "__Treefarm-Mod__/graphics/entities/biolab/biolab.png",
				x = 468,
				width = 156,
				height = 141,
				frame_count = 1,
				shift = {0.5, -0.078125}
			}
		},
		working_visualisations =
		{
			{
				north_position = {0.94, -0.73},
				west_position = {-0.3, 0.02},
				south_position = {-0.97, -1.47},
				east_position = {0.05, -1.46},
				animation =
				{
					filename = "__base__/graphics/entity/chemical-plant/boiling-green-patch.png",
					frame_count = 35,
					width = 17,
					height = 12,
					animation_speed = 0.15
				}
			},
			{
				north_position = {1.4, -0.23},
				west_position = {-0.3, 0.55},
				south_position = {-1, -1},
				east_position = {0.05, -0.96},
				north_animation =
				{
					filename = "__base__/graphics/entity/chemical-plant/boiling-window-green-patch.png",
					frame_count = 1,
					width = 21,
					height = 10
				},
				west_animation =
				{
					filename = "__base__/graphics/entity/chemical-plant/boiling-window-green-patch.png",
					x = 21,
					frame_count = 1,
					width = 21,
					height = 10
				},
				south_animation =
				{
					filename = "__base__/graphics/entity/chemical-plant/boiling-window-green-patch.png",
					x = 42,
					frame_count = 1,
					width = 21,
					height = 10
				}
			}
		},
		crafting_speed = 1,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input"
		},
		energy_usage = "180kW",
		ingredient_count = 4,
		crafting_categories = {"treefarm-mod-biolab"},
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {-1, -2} }}
			},
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {1, -2} }}
			},
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),
				base_level = 1,
				pipe_connections = {{ position = {-1, 2} }}
			},
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),
				base_level = 1,
				pipe_connections = {{ position = {1, 2} }}
			}
		}
	}


}
)




-- FIELDROBOPORT


local fieldroboport = {
		type = "roboport",
		name = "fieldroboport",
		icon = "__base__/graphics/icons/roboport.png",
		order = "a[fieldroboport]",
		collision_mask = {"ground-tile", "water-tile"},
		flags = {"placeable-player", "player-creation", "placeable-off-grid"},
		max_health = 500,
		collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{-0.1, -0.1}, {0.1, 0.1}},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			input_flow_limit = "2MW",
			buffer_capacity = "20MJ"
		},
		recharge_minimum = "10MJ",
		energy_usage = "60kW",
		-- per one charge slot
		charging_energy = "200kW",
		logistics_radius = 2,
		construction_radius = 10,
		charge_approach_distance = 5,
		robot_slots_count = 1,
		material_slots_count = 0,
		stationing_offset = {0, 0},
		charging_offsets =
		{
			{-1.5, -0.5}, {1.5, -0.5}, {1.5, 1.5}, {-1.5, 1.5},
		},
		base =
		{
			filename = "__Treefarm-Mod__/graphics/icons/empty.png",
			width = 32,
			height = 32,
			shift = {0.0, 0.0}
		},
		base_animation =
		{
			filename = "__Treefarm-Mod__/graphics/icons/empty.png",
			priority = "medium",
			width = 32,
			height = 32,
			frame_count = 1,
			animation_speed = 0.5,
			shift = {0.0, 0.0}
		},
		door_animation =
		{
			filename = "__Treefarm-Mod__/graphics/icons/empty.png",
			priority = "medium",
			width = 32,
			height = 32,
			frame_count = 1,
			shift = {0.0, 0.0}
		},
		recharging_animation =
		{
			filename = "__Treefarm-Mod__/graphics/icons/empty.png",
			priority = "high",
			width = 32,
			height = 32,
			frame_count = 1,
			scale = 1.0,
			animation_speed = 0.1
		},
		request_to_open_door_timeout = 15,
		spawn_and_station_height = 0.33,
		radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/roboport/roboport-radius-visualization.png",
			width = 12,
			height = 12
		},
		construction_radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/roboport/roboport-construction-radius-visualization.png",
			width = 12,
			height = 12
		}
	}
 
for i = 1, 10, 1 do
	local tmpPort = table.deepcopy(fieldroboport)
	tmpPort.name = fieldroboport.name ..i
	tmpPort.construction_radius = i
	data:extend({tmpPort})
end