data:extend(
{

	{
		type = "recipe",
		name = "fertwork",
		icon = "__Treefarm-Mod__/graphics/icons/fertilizer.png",
		subgroup = "raw-material",
		order = "b[charcoal]",
		hidden = true,
		category = "treefarm-mod-dummy",
		energy_required = 18,
		ingredients = {{"fertilizer",101}},
		result = "charcoal",
		result_count = 10,
		enabled = "true"
	},
	-- SEED --
	{
		type = "recipe",
		name = "germling",
		ingredients = {{"raw-wood",1}},
		result = "germling",
		result_count = 1
	},
	-- CHARCOAL
	{
		type = "recipe",
		name = "charcoal",
		icon = "__Treefarm-Mod__/graphics/icons/charcoal.png",
		subgroup = "raw-material",
		order = "b[charcoal]",
		category = "treefarm-mod-smelting",
		energy_required = 18,
		ingredients = {{"raw-wood",10}},
		result = "charcoal",
		result_count = 10,
		enabled = "false"
	},
	-- COAL --
	{
		type = "recipe",
		name = "coal",
		category = "treefarm-mod-smelting",
		energy_required = 18,
		ingredients = {{"charcoal",10}},
		result = "coal",
		result_count = 10,
		enabled = "false"
	},
	-- COKE-COAL --
	{
		type = "recipe",
		name = "coke-coal",
		category = "treefarm-mod-smelting",
		energy_required = 18,
		ingredients = {{"coal",10}},
		result = "coke-coal",
		result_count = 10,
		enabled = "false"
	},
	-- ASH --
	{
		type = "recipe",
		name = "ash",
		category = "treefarm-mod-smelting",
		energy_required = 10,
		ingredients = {{"raw-wood",5}},
		result = "ash",
		result_count = 5,
		enabled = "false"
	},   
	-- CRUSHED STONE
	{
		type = "recipe",
		name = "crushed-stone",
		category = "treefarm-mod-crushing",
		energy_required = 5,
		ingredients = {{"stone",1}},
		result = "crushed-stone",
		result_count = 2,
		enabled = "false"
	},
	-- LIQUID-AIR --
	{
		type = "recipe",
		name = "liquid-air",
		category = "treefarm-mod-biolab",
		energy_required = 10,
		ingredients = {},
		results=
		{
			{type = "fluid", name = "liquid-air", amount = 1}
		},
		enabled = "false"
	},
	-- LIQUID-NITROGEN --
	{
		type = "recipe",
		name = "liquid-nitrogen",
		category = "treefarm-mod-biolab",
		energy_required = 10,
		ingredients ={{type="fluid", name="liquid-air", amount=2}},
		results=
		{
			{type="fluid", name="liquid-nitrogen", amount=1}
		},
		enabled = "false"
	},
	-- LIQUID CO2
	{
		type = "recipe",
		name = "liquid-co2",
		category = "treefarm-mod-biolab",
		energy_required = 10,
		ingredients ={{type="fluid", name="liquid-air", amount=1}},
		results=
		{
			{type="fluid", name="liquid-co2", amount=1}
		},
		enabled = "false"
	},
	-- METHANOL
	{
		type = "recipe",
		name = "methanol1",
		icon = "__Treefarm-Mod__/graphics/icons/methanol.png",
		category = "treefarm-mod-bioreactor",
		order = "a[fluid]-b[methanol]",
		subgroup = "barrel",
		energy_required = 60,
		ingredients =
		{
			{type="fluid", name="biomass", amount = 1.0}
		},
		results=
		{
			{type="fluid", name="methanol", amount = 0.5},
			{type="fluid", name="biomass", amount = 0.5}
		},
		enabled = "false"
	},
	-- FILL NITROGEN-BARREL --
	{
		type = "recipe",
		name = "fill-liquid-nitrogen-barrel",
		category = "crafting-with-fluid",
		energy_required = 1,
		subgroup = "barrel",
		order = "b[fill-liquid-nitrogen-barrel]",
		icon = "__Treefarm-Mod__/graphics/icons/fill-liquid-nitrogen-barrel.png",
		ingredients =
		{
			{type="fluid", name="liquid-nitrogen", amount=25},
			{type="item", name="empty-barrel", amount=1},
		},
		results=
		{
			{type="item", name="liquid-nitrogen-barrel", amount=1}
		},
		enabled = "false"
	},
	-- EMPTY NITROGEN-BARREL --
	{
		type = "recipe",
		name = "empty-liquid-nitrogen-barrel",
		category = "crafting-with-fluid",
		energy_required = 1,
		subgroup = "barrel",
		order = "c[empty-liquid-nitrogen-barrel]",
		icon = "__Treefarm-Mod__/graphics/icons/empty-liquid-nitrogen-barrel.png",
		ingredients =
		{
		  {type="item", name="liquid-nitrogen-barrel", amount=1}
		},
		results=
		{
			{type="fluid", name="liquid-nitrogen", amount=25},
			{type="item", name="empty-barrel", amount=1}
		},
		enabled = "false"
	},
	-- PHOSPHATE --
	{
		type = "recipe",
		name = "phosphate",
		category = "chemistry",
		energy_required = 5,
		icon = "__Treefarm-Mod__/graphics/icons/phosphate.png",
		ingredients =
		{
		  {type="item", name="crushed-stone", amount=3},
		  {type="item", name="science-pack-1", amount=1},
		  {type="fluid", name="water", amount=5}
		},
		results=
		{
			{type="item", name="phosphate", amount=1}
		},
		enabled = "false"
	},
	-- POTASSIUM --
	{
		type = "recipe",
		name = "potassium",
		category = "chemistry",
		energy_required = 5,
		icon = "__Treefarm-Mod__/graphics/icons/potassium.png",
		ingredients =
		{
		  {type="item", name="crushed-stone", amount=3},
		  {type="item", name="science-pack-1", amount=1},
		  {type="fluid", name="water", amount=5}
		},
		results=
		{
			{type="item", name="potassium", amount=1}
		},
		enabled = "false"
	},
	-- FERTILIZER SOLID --
	{
		type = "recipe",
		name = "fertilizer1",
		category = "chemistry",
		energy_required = 125,
		icon = "__Treefarm-Mod__/graphics/icons/fertilizer.png",
		ingredients =
		{
			{type="item", name="phosphate", amount=25},
			{type="item", name="potassium", amount=50},
			{type="item", name="liquid-nitrogen-barrel", amount=1},
			{type="item", name="ash", amount=125}
		},
		results=
		{
			{type="item", name="fertilizer", amount=100}
		},
		enabled = "false"
	},
	-- FERTILIZER LIQUID --
	{
		type = "recipe",
		name = "fertilizer2",
		category = "chemistry",
		energy_required = 5,
		icon = "__Treefarm-Mod__/graphics/icons/fertilizer.png",
		ingredients =
		{
			{type="item", name="phosphate", amount=1},
			{type="item", name="potassium", amount=2},
			{type="fluid", name="liquid-nitrogen", amount=1},
			{type="item", name="ash", amount=6}
		},
		results=
		{
			{type="item", name="fertilizer", amount=5}
		},
		enabled = "false"
	},
	-- BIOMASS --
	{
		type = "recipe",
		name = "biomass-0",
		icon = "__Treefarm-Mod__/graphics/icons/biomass.png",
		subgroup = "barrel",
		category = "treefarm-mod-bioreactor",
		energy_required = 10,
		ingredients =
		{
			{type="fluid", name="water", amount=10},
			{type="fluid", name="liquid-co2", amount=1},
			{type="item", name="fertilizer", amount=1}
		},
		results=
		{
			{type="fluid", name="biomass", amount=0.5},
			{type="fluid", name="biomass", amount=0.5}
		},
		enabled = "false"
	},
	{
		type = "recipe",
		name = "biomass-1",
		icon = "__Treefarm-Mod__/graphics/icons/biomass.png",
		subgroup = "barrel",
		category = "treefarm-mod-bioreactor",
		energy_required = 4,
		ingredients =
		{
			{type="fluid", name="biomass", amount=0.09}
		},
		results=
		{
			{type="fluid", name="biomass", amount=0.1},
			{type="fluid", name="biomass", amount=0.1}
		},
		enabled = "false"
	},
	-- CELLULOSE --
	{
		type = "recipe",
		name = "cellulose",
		category = "treefarm-mod-biolab",
		energy_required = 10,
		ingredients =
		{
			{type="fluid", name="biomass", amount=1.6}
		},
		results=
		{
			{type="item", name="cellulose", amount=1 }
		},
		enabled = "false"
	},
	-- PLASTIC --
	{
		type = "recipe",
		name = "treefarm-mod-platic",
		category = "treefarm-mod-biolab",
		energy_required = 1,
		ingredients =
		{
			{type="item", name="cellulose", amount=2}
		},
		results=
		{
			{type="item", name="plastic-bar", amount=1}
		},
		enabled = "false"
	},
	-- NUTRIENTS --
	{
		type = "recipe",
		name = "nutrients",
		category = "treefarm-mod-biolab",
		energy_required = 20,
		ingredients =
		{
			{type="fluid", name="biomass", amount=20}
		},
		results=
		{
			{type="item", name="nutrients", amount=1}
		},
		enabled = "false"
	},
	-- MEDICINE --
	{
		type = "recipe",
		name = "medicine",
		category = "treefarm-mod-biolab",
		energy_required = 20,
		ingredients =
		{
			{type="item", name="nutrients", amount=10}
		},
		results=
		{
			{type="item", name="medicine", amount=1}
		},
		enabled = "false"
	}
}
)

